Endpoints
Good Transfer by Parcel Number
Smake Master API — Good Transfer by Parcel Number
CREATE BY PARCEL NUMBER
Create a new good transfer by parcel number.
Request
| Field | Type | Required |
|---|---|---|
| origin | object | yes |
| destination | object | yes |
| creator | object | yes |
| external_identifier | string | yes |
| estimated_arrival_at | date | no |
| goods_transfer_parcels_numbers | array of order_item_units.external_identifier | no |
Example of creating a new good transfer by parcel number
Request
POST /goods-transfers/store-with-parcel-numbers HTTP/1.1
{
"origin": {
"resource_type": "tenant-supplier",
"resource": 1
},
"destination": {
"resource_type": "production",
"resource": 1
},
"creator": {
"resource_type": "staff",
"resource": 1
},
"external_identifier": "WT-123",
"estimated_arrival_at": "2022-12-24",
"goods_transfer_parcel_numbers": [
"P-123"
]
}Response
{
"id": 4,
"state": "pending",
"external_identifier": "WT-123",
"origin": {
"resource_type": "tenant-supplier",
"resource": 1
},
"destination": {
"resource_type": "production",
"resource": 1
},
"creator": {
"resource_type": "client",
"resource": 1
},
"estimated_arrival_at": "2022-11-22T00:00:00.000000Z",
"parcels": [
{
"id": 5,
"state": "pending",
"tracking_number": "P-123",
"external_identifier": null,
"goods_transfer_items": [
{
"id": 1,
"state": "pending",
"resource_type": "id-tag",
"resource": 1,
"created_at": "2023-01-17T10:55:09+00:00",
"updated_at": "2023-01-17T10:55:09+00:00"
}
],
"created_at": "2023-01-22T14:50:39+00:00",
"updated_at": "2023-01-22T14:50:39+00:00"
}
],
"created_at": "2023-01-22T14:50:39+00:00",
"updated_at": "2023-01-22T14:50:39+00:00"
}